Debian Bug report logs - #377524
cdbs: add cmake class cmake.mk

version graph

Package: cdbs; Maintainer for cdbs is CDBS Hackers <build-common-hackers@lists.alioth.debian.org>; Source for cdbs is src:cdbs.

Reported by: fboudra@free.fr

Date: Sun, 9 Jul 2006 17:48:01 UTC

Severity: wishlist

Tags: patch

Found in versions cdbs/0.4.44, cdbs/0.4.46

Fixed in version cdbs/0.4.50

Done: Peter Eisentraut <petere@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, CDBS Hackers <build-common-hackers@lists.alioth.debian.org>:
Bug#377524; Package cdbs. Full text and rfc822 format available.

Acknowledgement sent to fboudra@free.fr:
New Bug report received and forwarded. Copy sent to CDBS Hackers <build-common-hackers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Fathi Boudra <fboudra@free.fr>
To: submit@bugs.debian.org
Subject: cdbs: add cmake class cmake.mk
Date: Sun, 9 Jul 2006 19:22:20 +0200
[Message part 1 (text/plain, inline)]
Package: cdbs
Version: 0.4.44
Severity: wishlist
Tags: patch

hi,

could you add cmake class to cdbs. I joined a cmake.mk that i use for
packaging strigi.

cheers,

Fathi

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-2-k7
Locale: LANG=fr_FR, LC_CTYPE=fr_FR (charmap=ISO-8859-1)

cdbs depends on no packages.

Versions of packages cdbs recommends:
ii  autotools-dev                 20060223.1 Update infrastructure for config.
{
ii  debhelper                     5.0.37.2   helper programs for debian/rules

-- no debconf information
[cmake.mk (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, CDBS Hackers <build-common-hackers@lists.alioth.debian.org>:
Bug#377524; Package cdbs. Full text and rfc822 format available.

Acknowledgement sent to Peter Eisentraut <peter_e@gmx.net>:
Extra info received and forwarded to list. Copy sent to CDBS Hackers <build-common-hackers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 377524@bugs.debian.org (full text, mbox):

From: Peter Eisentraut <peter_e@gmx.net>
To: fboudra@free.fr, 377524@bugs.debian.org
Subject: Re: [Build-common-hackers] Bug#377524: cdbs: add cmake class cmake.mk
Date: Sun, 16 Jul 2006 01:46:27 +0200
Fathi Boudra wrote:
> could you add cmake class to cdbs. I joined a cmake.mk that i use for
> packaging strigi.

This looks quite reasonable, but I only see 7 packages in total in 
Debian that build with cmake, so it may be too early to form an opinion 
about what constitutes "common" build practice.  Besides your two 
packages, two more from the above seven already use cdbs, so we'd need 
at least to figure out whether your proposed class will work for them.  
I'm going to need a bit of time for that, or you can try.



Information forwarded to debian-bugs-dist@lists.debian.org, CDBS Hackers <build-common-hackers@lists.alioth.debian.org>:
Bug#377524; Package cdbs. Full text and rfc822 format available.

Acknowledgement sent to Thomas Weber <thomas.weber.mail@gmail.com>:
Extra info received and forwarded to list. Copy sent to CDBS Hackers <build-common-hackers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 377524@bugs.debian.org (full text, mbox):

From: Thomas Weber <thomas.weber.mail@gmail.com>
To: 377524@bugs.debian.org
Cc: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Subject: Re: [Pkg-octave-devel] add cmake class cmake.mk to cdbs
Date: Sun, 06 Aug 2006 21:26:50 +0200
We (Debian Octave Group) are using cmake for Octaviz; we are also using
cdbs currently for it, but only 
  - simple-patchsys
  - debhelper
  - langcore
which already simplifies our work considerable (in fact so much that the
need for a full cmake.mk is not really pressing). 

The cmake.mk attached in this bug report is based on kde.mk, is that
correct? I had a hard time getting it to work with what I consider the
usual setup for one binary package, especially the fact that 
	DEB_BUILDDIR != DEB_SRCDIR
That said, the current cmake.mk is probably sufficient for our needs. 

Now, for the relevance: KDE 4 will be based on cmake, so it will
probably gain on importance. I'm not sure whether this means we should
introduce a cmake.mk right now or wait for the KDE packagers.

Anyway, I subscribed to this bug, so if a decision is taken, it would be
nice if it's reflected in the report. 


Regards
	Thomas




Information forwarded to debian-bugs-dist@lists.debian.org, CDBS Hackers <build-common-hackers@lists.alioth.debian.org>:
Bug#377524; Package cdbs. Full text and rfc822 format available.

Acknowledgement sent to Marco Nenciarini <mnencia@debian.org>:
Extra info received and forwarded to list. Copy sent to CDBS Hackers <build-common-hackers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #20 received at 377524@bugs.debian.org (full text, mbox):

From: Marco Nenciarini <mnencia@debian.org>
To: Debian Bug Tracking System <377524@bugs.debian.org>
Subject: I'm also using cmake with cdbs for a package.
Date: Tue, 26 Sep 2006 12:23:14 +0200
[Message part 1 (text/plain, inline)]
Package: cdbs
Version: 0.4.46
Followup-For: Bug #377524

A package I'm maintining is being to switch to cmake buil system, so
i'll be happy if you include this cmake.mk class into cdbs.

Regards

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (990, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17-2-xen-686
Locale: LANG=it_IT.UTF-8, LC_CTYPE=it_IT.UTF-8 (charmap=UTF-8)

cdbs depends on no packages.

Versions of packages cdbs recommends:
ii  autotools-dev                 20060702.1 Update infrastructure for config.{
ii  debhelper                     5.0.37.3   helper programs for debian/rules

-- no debconf information

-- 
---------------------------------------------------------------------
|    Marco Nenciarini    | Debian/GNU Linux Developer - Plug Member |
| mnencia@prato.linux.it | http://www.prato.linux.it/~mnencia       |
---------------------------------------------------------------------
Key fingerprint = FED9 69C7 9E67 21F5 7D95  5270 6864 730D F095 E5E4

[signature.asc (application/pgp-signature, inline)]

Tags added: pending Request was from Peter Eisentraut <petere@debian.org> to control@bugs.debian.org. (Sun, 26 Aug 2007 09:36:02 GMT) Full text and rfc822 format available.

Reply sent to Peter Eisentraut <petere@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to fboudra@free.fr:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #27 received at 377524-close@bugs.debian.org (full text, mbox):

From: Peter Eisentraut <petere@debian.org>
To: 377524-close@bugs.debian.org
Subject: Bug#377524: fixed in cdbs 0.4.50
Date: Fri, 02 Nov 2007 13:32:02 +0000
Source: cdbs
Source-Version: 0.4.50

We believe that the bug you reported is fixed in the latest version of
cdbs, which is due to be installed in the Debian FTP archive:

cdbs_0.4.50.dsc
  to pool/main/c/cdbs/cdbs_0.4.50.dsc
cdbs_0.4.50.tar.gz
  to pool/main/c/cdbs/cdbs_0.4.50.tar.gz
cdbs_0.4.50_all.deb
  to pool/main/c/cdbs/cdbs_0.4.50_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 377524@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Peter Eisentraut <petere@debian.org> (supplier of updated cdbs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 02 Nov 2007 13:11:42 +0100
Source: cdbs
Binary: cdbs
Architecture: source all
Version: 0.4.50
Distribution: unstable
Urgency: low
Maintainer: CDBS Hackers <build-common-hackers@lists.alioth.debian.org>
Changed-By: Peter Eisentraut <petere@debian.org>
Description: 
 cdbs       - common build system for Debian packages
Closes: 377524 377964 405413 411520 416018 423394 433862 438372 438417 439750 439915
Changes: 
 cdbs (0.4.50) unstable; urgency=low
 .
   * Made qmake class observe nostrip option (qmake.mk) (closes: #438417)
   * Call make as $(MAKE) (qmake.mk)
   * Added cmake class (original patch by Fathi Boudra) (closes: #377524)
   * Documented cases where setting DEB_DESTDIR manually could be necessary
     (closes: #438372)
   * Use unversioned interpreter for default Python version
     (python-distutils.mk) (closes: #377964)
   * Use dh_testroot instead of custom rule when debhelper is used
     (buildcore.mk) (closes: #416018)
   * Documented variables DEB_AUTO_UPDATE_AUTOCONF, DEB_AUTO_UPDATE_AUTOMAKE,
     DEB_AUTO_UPDATE_LIBTOOL; thanks to Steve M. Robbins for the research
     (closes: #439750)
   * Use dh_listpackages instead of custom list-packages script when debhelper
     is used.  Since this requires a recent version of debhelper, debhelper is
     now a dependency of cdbs.  (buildcore.mk, permodule-vars.mk)
     (closes: #405413, #433862)
   * Added possibility to list files that are not installed in
     debian/not-installed (utils.mk) (closes: #423394)
   * Replaced uses of "#" in make $(warning) function argument, because it
     misbehaves in some versions of make (python-distutils.mk)
     (closes: #439915)
   * Add to CFLAGS/CXXFLAGS instead of overwriting them (langcore.mk)
     (closes: #411520)
Files: 
 5ffdc8d5331c978b7e9900107b2e61ee 920 devel optional cdbs_0.4.50.dsc
 79e59bdf871d283e087196e4ee693934 200153 devel optional cdbs_0.4.50.tar.gz
 a542fb6ef808b65d34550a5fef273a9b 967450 devel optional cdbs_0.4.50_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHKxbFTTx8oVVPtMYRAl18AJwMxRMmv0wyjfpCbxNtEUKzE1y4ygCeL4P8
myD1ZT7syYgYCQlJnBiA+Co=
=u/fH
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 17 Dec 2007 07:33:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:18:09 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.